Subject: RE: powerpc: Incomplete configure under Cygwin?
From: Tommi Sairo <[email-masked]>
To: Jeff Johnston <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Tue, 7 Nov 2006 11:28:47 +0200

Hi, 

I tried powerpc-elf -target some months ago (I tried this back then already
without success), but it didn't have any effect.

I'm trying first the bootstrap approach; if that doesn't work, I have a
creeping suspicion it won't build using a fully compiled toolchain either.

For the record, I found that this looks to be the exact same issue as in
Jochen Gerster's post from last summer:
http://sources.redhat.com/ml/newlib/2006/msg00616.html

I wonder if anyone has lately built the toolchain successfully with
cygwin-host and powerpc-target?

/TS

> -----Original Message-----
> From: Jeff Johnston [mailto:[email-masked]] 
> Sent: 6. marraskuuta 2006 22:19
> To: Tommi Sairo
> Cc: [email-masked]
> Subject: Re: powerpc: Incomplete configure under Cygwin?
> 
> Hello Tommi,
> 
>    I just recently lost my old builds directory when I 
> switched to FC6, 
> but I seem to remember configuring powerpc-eabi-elf rather than 
> powerpc-eabi.  I don't build from Cygwin so I might suggest 
> you cc the 
> Cygwin list to see if anybody can help you there.  You might also try 
> building your tools first, then configuring/building 
> up-to-date newlib 
> from a seperate tree after setting your path to point to your newly 
> built cross-tools.
> 
> -- Jeff J.
> 
> Tommi Sairo wrote:
> > Hi,
> > 
> > I'm trying to compile GCC 4.1.0 with newlib 1.14 on Cygwin host for
> > powerpc-eabi cross compiling target. I use binutils 2.16. Both the
> > 1.14.0-snapshot of newlib and current CVS sources refuse to 
> build, stopping
> > finally with:
> > 
> > make[5]: Entering directory
> > `/cygdrive/d/new_gcc/powerpc-eabi/build-gcc/powerpc-eabi/nof/newlib'
> > make[5]: *** No rule to make target `all'.  Stop.
> > make[5]: Leaving directory
> > `/cygdrive/d/new_gcc/powerpc-eabi/build-gcc/powerpc-eabi/nof/newlib'
> > make[4]: *** [multi-do] Error 1
> > make[4]: Leaving directory
> > `/cygdrive/d/new_gcc/powerpc-eabi/build-gcc/powerpc-eabi/newlib'
> > make[3]: *** [all-multi] Error 2
> > make[3]: Leaving directory
> > `/cygdrive/d/new_gcc/powerpc-eabi/build-gcc/powerpc-eabi/newlib'
> > make[2]: *** [all] Error 2
> > make[2]: Leaving directory
> > `/cygdrive/d/new_gcc/powerpc-eabi/build-gcc/powerpc-eabi/newlib'
> > make[1]: *** [all-target-newlib] Error 2
> > make[1]: Leaving directory 
> `/cygdrive/d/new_gcc/powerpc-eabi/build-gcc'
> > make: *** [all] Error 2
> > 
> > The referred powerpc-eabi/nof/newlib -directory is empty, 
> as are all other
> > subdirs of powerpc-eabi/nof. 
> > 
> > I'm linking newlib- and libgloss-dirs at top level of GCC 
> sources and
> > configuring from top level of GCC source with:
> > ../${GCCDIR}/configure --disable-shared --disable-nls --with-newlib
> > --with-headers=../${NEWLIBDIR}/newlib/libc/include --enable-multilib
> > --enable-interwork --enable-languages=c,c++ --with-float=soft
> > --target=${TARGET} --prefix=${PREFIX} 2>&1 | tee configure.log
> > 
> > Any ideas? I guess I could try building with hard floats to see what
> > happens.
> > 
> > /TS
> > 
> > 
> > 
> >  
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/